com.sun.jna.platform.win32

## Class LMShare.SHARE_INFO_2

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.LMShare.SHARE_INFO_2

Enclosing interface:
  LMShare

    @Structure.FieldOrder(value={"shi2_netname","shi2_type","shi2_remark","shi2_permissions","shi2_max_uses","shi2_current_uses","shi2_path","shi2_passwd"})
    public static class LMShare.SHARE_INFO_2
    extends Structure

Contains information about the shared resource, including name of the resource, type and permissions, number of connections, and other pertinent information.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `shi2_current_uses` Specifies a DWORD value that indicates the number of current connections to the resource.
`int` `shi2_max_uses` Specifies a DWORD value that indicates the maximum number of concurrent connections that the shared resource can accommodate.
`java.lang.String` `shi2_netname` Pointer to a Unicode string specifying the name of a shared resource.
`java.lang.String` `shi2_passwd` Pointer to a Unicode string that specifies the share's password (when the server is running with share-level security).
`java.lang.String` `shi2_path` Pointer to a Unicode string that contains the local path for the shared resource.
`int` `shi2_permissions` Specifies a DWORD value that indicates the shared resource's permissions for servers running with share-level security.
`java.lang.String` `shi2_remark` Pointer to a Unicode string specifying an optional comment about the shared resource.
`int` `shi2_type` A combination of values that specify the type of share.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`SHARE_INFO_2()`
`SHARE_INFO_2(Pointer memory)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### shi2_netname

    public java.lang.String shi2_netname

Pointer to a Unicode string specifying the name of a shared resource. Calls to the NetShareSetInfo function ignore this member.

#### shi2_type

    public int shi2_type

A combination of values that specify the type of share. Calls to the NetShareSetInfo function ignore this member. One of the following values may be specified. You can isolate these values by using the STYPE_MASK value. STYPE_DISKTREE, STYPE_PRINTQ, STYPE_DEVICE, STYPE_IPC, STYPE_TEMPORARY, STYPE_SPECIAL

#### shi2_remark

    public java.lang.String shi2_remark

Pointer to a Unicode string specifying an optional comment about the shared resource.

#### shi2_permissions

    public int shi2_permissions

Specifies a DWORD value that indicates the shared resource's permissions for servers running with share-level security. This member is ignored on a server running user-level security. This member can be any of the following values. Calls to the NetShareSetInfo function ignore this member. Note that Windows does not support share-level security. For more information about controlling access to securable objects, see Access Control, Privileges, and Securable Objects. NOTE: Bit masks are defined in LmAccess.Java

#### shi2_max_uses

    public int shi2_max_uses

Specifies a DWORD value that indicates the maximum number of concurrent connections that the shared resource can accommodate. The number of connections is unlimited if the value specified in this member is -1.

#### shi2_current_uses

    public int shi2_current_uses

Specifies a DWORD value that indicates the number of current connections to the resource. Calls to the NetShareSetInfo function ignore this member.

#### shi2_path

    public java.lang.String shi2_path

Pointer to a Unicode string that contains the local path for the shared resource. For disks, this member is the path being shared. For print queues, this member is the name of the print queue being shared. Calls to the NetShareSetInfo function ignore this member.

#### shi2_passwd

    public java.lang.String shi2_passwd

Pointer to a Unicode string that specifies the share's password (when the server is running with share-level security). If the server is running with user-level security, this member is ignored. Note that Windows does not support share-level security. This member can be no longer than SHPWLEN+1 bytes (including a terminating null character). Calls to the NetShareSetInfo function ignore this member.

### Constructor Detail

#### SHARE_INFO_2

    public SHARE_INFO_2()

#### SHARE_INFO_2

    public SHARE_INFO_2(Pointer memory)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.